Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class ElGamalParameterSpec

    java.lang.Object
      org.bouncycastle.jce.spec.ElGamalParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class ElGamalParameterSpec

extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

Constructor Summary
`ElGamalParameterSpec(java.math.BigInteger p, java.math.BigInteger g)` Constructs a parameter set for Diffie-Hellman, using a prime modulus `p` and a base generator `g`.

Method Summary
`java.math.BigInteger` `getG()` Returns the base generator `g`.
`java.math.BigInteger` `getP()` Returns the prime modulus `p`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalParameterSpec

    public ElGamalParameterSpec(java.math.BigInteger p,
                                java.math.BigInteger g)

  Constructs a parameter set for Diffie-Hellman, using a prime modulus `p` and a base generator `g`.

  Parameters:
    `p` - the prime modulus
    `g` - the base generator

Method Detail

### getP

    public java.math.BigInteger getP()

  Returns the prime modulus `p`.

  Returns:
    the prime modulus `p`

### getG

    public java.math.BigInteger getG()

  Returns the base generator `g`.

  Returns:
    the base generator `g`

Bouncy Castle Cryptography Library 1.45